// Add these in a pull request
// My changes - option + shift + up-arrow to select one line above
// Delete word backward - CTRL-delete and Fn+'' to go forward

// Alfred (install it):
// open an app
// search google
// search wikipedia
// create custom search

// gmail
// setup keyboard shortcuts
// setup priority inbox
// ? : show keyboard shortcuts
// j : move downward
// k : move upward
// o : open
// s (while open) : star / unstar
// r : reply
// a : reply all
// u : return to main window

// OSX:
// command + tab : switch open applications
// command + ` : switch open applications in reverse
// command + q (while in open applications) : quit an application

// Chrome / Sublime / and Bash:
// command + n : create new window (shift + command + n for Sublime)
// command + t : create new tab (command + n for Sublime)
// command + w : close tab
// command + q : quit application
// command + shift + ] : move right one tab
// command + shift + [ : move left one tab
// command + NUMBER : move to tab number NUMBER (not in Bash)

// Vimium (install it first):
// j : scroll down
// k : scroll up
// f : show links

// Chrome:
// pin tabs
// command + r : reload page
// command + option + j : open the javascript console
// command + ] : move forward through history
// command + [ : move backward through history
// command + shift + t : reopen last closed tab (up to 10)

// Sublime:
// CUSTOM: ctrl-B -> set bookmark 
// command + ctrl + f : toggle fullscreen
// command + ctrl + shift + f : toggle distraction free

// option + arrows : move one word at a time
// command + arrows : move to beginning and end of line
// shift + above commands : select all the text
// delete + the above : delete all the text
// fn + delete : delete forward

// command + z : undo
// command + shift + z : redo
// command + / : toggle comment for line
// command + ] : shift indenting right
// command + [ : shift indenting left
// command + l : select the whole line
// command + c (with selection) : copy selection
// command + x (with selection) : cut selection
// command + v : paste most recent cut or copy
// command + shift + v : paste with proper indentation

var outerFunction = function(){
};

var innerFunction = function(){
};


// command + x : cut the whole line
// command + c : copy the whole line
// command + enter : create new line below
// command + shift + enter : create new line above
// command + shift + d : copy current line below
// command + control + arrows : move entire line up and down
// command + k, command + u : make selection upper case
// command + k, command + l : make selection lower case
// command + ' : select all within quotes
var quote = "Wouldn't it be nice to replace this quote?";
// command + shift + ' : select all within quotes, and quotes
var quote = "Wouldn't it be nice to replace this quote with a number?";
// control + m : move to beginning/end of parens and braces
if('only there were a way to toggle around the parens'){
  var it = 'would be rad';
}

// command + d : select word(s)
// command + k while selecting words : don't select word 
// command + ctrl + g : select all of words
// option + mouseDrag : column select
// command + mouseClick : custom multiple cursor

// command + p : open file
// command + shift + p : set syntax (and many many other things)
// command + f : find
// command + shift + f : massive find
// command + k, command + b : toggle file bar
// command + option + NUMBER : split screen
// control + shift + NUMBER : move current file to pane